%define upstream_name    IPC-Pipeline
%define upstream_version 1.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Create a shell-like pipeline of many running commands
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Similar in calling convention to IPC::Open3, pipeline() spawns N children,
connecting the first child to the FIRST_CHLD_IN handle, the final child to
LAST_CHLD_OUT, and each child to a shared standard error handle,
CHILDREN_ERR. Each subsequent filter specified causes a new process to be
fork()ed. Each process is linked to the last with a file descriptor pair
created by pipe(), using dup2() to chain each process' standard input to
the last standard output.

FEATURES
    IPC::Pipeline accepts external commands to be executed in the form of
    ARRAY references containing the command name and each argument, as well
    as CODE references that are executed within their own processes as
    well, each as independent parts of a pipeline.

    ARRAY REFS
        When a filter is passed in the form of an ARRAY containing an
        external system command, each such item is executed in its own
        subprocess in the following manner.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYRIGHT Changes LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.0.0-6.mga9
+ Revision: 1804152
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.0-5.mga8
+ Revision: 1495229
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.0-4.mga7
+ Revision: 1268842
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.0-3.mga6
+ Revision: 1028799
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.0.0-2.mga6
+ Revision: 966270
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.0.0-1.mga6
+ Revision: 843213
- update to 1.0

* Sat Oct 18 2014 umeabot <umeabot> 0.900.0-4.mga5
+ Revision: 787833
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.900.0-3.mga5
+ Revision: 741833
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.900.0-2.mga5
+ Revision: 685099
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 0.900.0-1.mga5
+ Revision: 623265
- update to 0.9

* Sat Oct 19 2013 umeabot <umeabot> 0.800.0-2.mga4
+ Revision: 527077
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.800.0-1.mga4
+ Revision: 439429
- update to 0.8

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-2.mga3
+ Revision: 368640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 shlomif <shlomif> 0.700.0-1.mga3
+ Revision: 284078
- update to 0.7

* Thu May 31 2012 shlomif <shlomif> 0.600.0-1.mga3
+ Revision: 252270
- Correct 'CHANGES' to 'Changes'
- New version: 0.6
- Correct the license
- imported package perl-IPC-Pipeline


* Tue Apr 10 2012 cpan2dist 0.5-1mga
- initial mageia release, generated with cpan2dist
